%define rel 1

Name:          lxqt-notificationd
Version:       1.4.0
Release:       %mkrel %rel
Summary:       Notification daemon for the LXQt desktop
License:       LGPLv2+
Group:         Graphical desktop/KDE
URL:           https://lxqt-project.org/
Source0:       https://github.com/lxqt/lxqt-notificationd/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires: cmake
BuildRequires: pkgconfig(lxqt)
BuildRequires: pkgconfig(Qt5Core)
BuildRequires: pkgconfig(Qt5Help)
Provides:      virtual-notification-daemon

%description
Notification daemon for the LXQt desktop.

%prep
%setup -q %{name}-%{version}
%autopatch -p1

%build
%cmake_qt5
%cmake_build

%install
%cmake_install


%files
%{_sysconfdir}/xdg/autostart/lxqt-notifications.desktop
%{_bindir}/lxqt-notificationd
%{_bindir}/lxqt-config-notificationd
%{_datadir}/applications/lxqt-config-notificationd.desktop
%{_datadir}/lxqt/translations/lxqt-config-notificationd/
%{_datadir}/lxqt/translations/lxqt-notificationd/


%changelog
* Wed Nov 22 2023 papoteur <papoteur> 1.4.0-1.mga9
+ Revision: 2009102
- new 1.4.0

* Sun Apr 16 2023 papoteur <papoteur> 1.3.0-1.mga9
+ Revision: 1953181
- new version 1.3.0

* Mon Feb 06 2023 papoteur <papoteur> 1.2.0-2.mga9
+ Revision: 1938818
- rebuild for compilation with C++17 standard

* Sun Nov 06 2022 papoteur <papoteur> 1.2.0-1.mga9
+ Revision: 1904197
- new version 1.2.0

* Mon Apr 25 2022 papoteur <papoteur> 1.1.0-1.mga9
+ Revision: 1853314
- Release 1.1.0

* Tue Apr 05 2022 umeabot <umeabot> 1.0.0-2.mga9
+ Revision: 1845293
- Mageia 9 Mass Rebuild

* Sun Dec 12 2021 neoclust <neoclust> 1.0.0-1.mga9
+ Revision: 1761578
- New version 1.0.0

* Fri Apr 16 2021 daviddavid <daviddavid> 0.17.0-1.mga9
+ Revision: 1716050
- New version 0.17.0

* Thu Dec 17 2020 umeabot <umeabot> 0.16.0-2.mga8
+ Revision: 1658994
- Rebuild for new Qt5

* Sat Nov 07 2020 daviddavid <daviddavid> 0.16.0-1.mga8
+ Revision: 1643179
- New version 0.16.0
- update Url

* Sat Apr 25 2020 daviddavid <daviddavid> 0.15.0-1.mga8
+ Revision: 1571811
- New version 0.15.0

* Sat Feb 15 2020 umeabot <umeabot> 0.14.1-3.mga8
+ Revision: 1524807
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Mar 31 2019 umeabot <umeabot> 0.14.1-2.mga7
+ Revision: 1383258
- Qt5 Rebuild

* Thu Mar 28 2019 daviddavid <daviddavid> 0.14.1-1.mga7
+ Revision: 1380832
- new version: 0.14.1

* Sun Jan 27 2019 daviddavid <daviddavid> 0.14.0-1.mga7
+ Revision: 1361330
- New version 0.14.0

* Fri Dec 28 2018 daviddavid <daviddavid> 0.13.0-3.mga7
+ Revision: 1345473
- rebuild for new Qt5 5.12.0

* Sun Sep 23 2018 umeabot <umeabot> 0.13.0-2.mga7
+ Revision: 1299407
- Mageia 7 Mass Rebuild

* Sun Jun 10 2018 daviddavid <daviddavid> 0.13.0-1.mga7
+ Revision: 1235866
- New version 0.13.0

* Tue Nov 07 2017 neoclust <neoclust> 0.12.0-2.mga7
+ Revision: 1176372
- lxqt-common does not exist anymore

* Thu Nov 02 2017 neoclust <neoclust> 0.12.0-1.mga7
+ Revision: 1175550
- New version 0.12.0

* Fri Mar 17 2017 neoclust <neoclust> 0.11.1-1.mga6
+ Revision: 1093314
- New version 0.11.1

* Tue Nov 08 2016 neoclust <neoclust> 0.11.0-1.mga6
+ Revision: 1065964
- New version 0.11.0

* Mon Mar 28 2016 doktor5000 <doktor5000> 0.10.0-5.mga6
+ Revision: 995911
+ rebuild (emptylog)

* Mon Feb 15 2016 umeabot <umeabot> 0.10.0-4.mga6
+ Revision: 961315
- Mageia 6 Mass Rebuild

* Tue Nov 10 2015 neoclust <neoclust> 0.10.0-3.mga6
+ Revision: 900884
- Rebuild against fixed qtbase5
- Use qt5 cmake macro

* Mon Nov 09 2015 neoclust <neoclust> 0.10.0-1.mga6
+ Revision: 900049
- New version 0.10.0

* Sun Feb 22 2015 tmb <tmb> 0.9.0-2.mga5
+ Revision: 816489
- fix broken ru_RU translations in desktop file
+ doktor5000 <doktor5000>
- new version 0.9.0
- added translations
- remove conditional handling for QT5 as QT4 is not supported anymore
- adjusted BuildRequires from pkgconfig(lxqt-qt5) to pkgconfig(lxqt)
- use new URL http://downloads.lxqt.org/lxqt/

* Wed Dec 17 2014 doktor5000 <doktor5000> 0.8.0-7.mga5
+ Revision: 803661
- rebuild for QT 5.4 breakage

* Sun Oct 26 2014 doktor5000 <doktor5000> 0.8.0-6.mga5
+ Revision: 793517
- do not remove LXQt Catgories from .desktop file

* Fri Oct 24 2014 doktor5000 <doktor5000> 0.8.0-4.mga5
+ Revision: 793075
- do not remove LXQt category from .desktop file
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild

* Tue Oct 14 2014 doktor5000 <doktor5000> 0.8.0-1.mga5
+ Revision: 738705
- add missing BuildRequires on pkgconfig(Qt5Help)
- new version 0.8.0
- enabled QT5 build
- correct license

* Tue Sep 16 2014 umeabot <umeabot> 0.7.0-4.mga5
+ Revision: 682091
- Mageia 5 Mass Rebuild

* Sat Sep 13 2014 wally <wally> 0.7.0-3.mga5
+ Revision: 675025
- obsolete razorqt-notificationd

* Wed Jun 18 2014 doktor5000 <doktor5000> 0.7.0-2.mga5
+ Revision: 637865
- add Provides on virtual-notification-daemon

* Thu May 22 2014 doktor5000 <doktor5000> 0.7.0-1.mga5
+ Revision: 624934
- fix .desktop file
  o remove Category=LXQt for now
- use %%mkrel
- fix BuildRequires
- imported package lxqt-notificationd


* Thu May 08 2014 Rosa <rosa@abf.rosalinux.ru> 0.7.0-1
+ Revision: d5b3052
- Automatic import for version 0.7.0-1


